import RelativeJsonPointerError from "./RelativeJsonPointerError.mjs";
class EvaluationRelativeJsonPointerError extends RelativeJsonPointerError {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
      this.currentElement = structuredOptions.currentElement;
      this.rootElement = structuredOptions.rootElement;
      this.cursorElement = structuredOptions.cursorElement;
    }
  }
}
export default EvaluationRelativeJsonPointerError;